---
title: "tx_solr"
manual: "Apache Solr for TYPO3"
version: "13.1"
permalink: "https://docs.typo3.org/permalink/apache-solr-for-typo3/solr:tx-solr@13.1"
source: "Configuration/Reference/TxSolr.rst"
modified: "2026-09-16T15:16:05+00:00"
---

# tx_solr

This section defines general configuration options.

-   [enabled](https://docs.typo3.org/permalink/apache-solr-for-typo3/solr:enabled@13.1)
-   [enableDebugMode](https://docs.typo3.org/permalink/apache-solr-for-typo3/solr:enabledebugmode@13.1)

## enabled

-   *Type:* Boolean
-   *TS Path:* plugin.tx_solr.enabled
-   *Default:* 1
-   *Options:* 0, 1
-   *Since:* 1.2

A switch to completely turn on / off EXT:solr. Comes in handy with multi site
installations where you want to enable EXT:solr only for certain sites, but
still have the extension's configuration at a single place and include that for
each site. Just set enabled = 0 for each site's root TS template or use
conditions where you do not want EXT:solr.

> [!IMPORTANT]
> This also influences the connection manager; connections will be registered /
> detected only for enabled = 1

## enableDebugMode

-   *Type:* Boolean
-   *TS Path:* plugin.tx_solr.enableDebugMode
-   *Default:*
-   *Options:* 0, 1
-   *Since:* 1.0
-   *See:* [http://wiki.apache.org/solr/CommonQueryParameters#debugQuery](http://wiki.apache.org/solr/CommonQueryParameters#debugQuery)

If enabled, the debugQuery query parameter is added to the Solr queries. Solr
will then return additional information explaining the the query, scoring,
timing, and other information.
